Hi!

This is my port of Apache 1.2.5 for MiNT. Hopefully it works better than
my port of Apache 1.2.4.

INSTALLATION

All the files in this directory should go into `/usr/local/etc/httpd',
which is the path Apache is configured for. You could do it like this:

  cd ..
  mv apache-1.2.5 httpd
  mv httpd /usr/local/etc/httpd

Now make a copy of the config files in `/usr/local/etc/httpd/conf' and
remove the `-dist' extension while you are at it:

  cd /usr/local/etc/httpd/conf
  for i in *-dist ; do cp $i `echo $i | sed s/-dist//` ; done

It should now look like this:

access.conf       httpd.conf        mime.types        srm.conf-dist
access.conf-dist  httpd.conf-dist   srm.conf

Now at least take a look at httpd.conf and modify it to match your needs.
If you want to run Apache from inetd. Change `ServerType' to `inetd' and
adapt `inetd.conf' in `/etc', if you have not run a httpd server from inetd
before. `inetd.conf' should contain a line similar to this one:

http  stream	tcp	nowait	root	/usr/local/etc/httpd/httpd	httpd

Note, I haven't test Apache as inetd daemon as extensive as the standalone
version, but it passed all the test like the standalone version.

TEST

To test your installation start Apache, if it is not configured for inetd,
with `/usr/local/etc/httpd/httpd' and run a browser of your choice. For inetd
you should do a `kill -HUP <pid of inetd>', so it is aware of the changes.
Type in the URL `http://127.0.0.1/' and look if the Apache page appears
and browse through it. To test cgi script capability of Apache, write
the following

  chmod +x /usr/local/etc/httpd/cgi-bin/test-cgi

and then access the URL `http://127.0.0.1/cgi-bin/test-cgi'. You should
see a page with all enviroment variables, Apache sets for cgi scripts.

Now read the manual for further configuration to avoid heavy email traffic
to my mailbox ;o)

BUGS

I hope, that the naughty bug from my last port is gone. The pages Apache
refused to show with my last port are now shown correctly. If you found
something strange, please mail me and write me how to recreate it.
Otherwise it would be of no use for me. By the way, bus errors or other
strange behaviours can sometimes be cured with setting up the stack size
with `fixstk <stacksize> /usr/local/etc/httpd/httpd'.

Also look at
  http://homepages.fh-giessen.de/~hg6782/atariSt/ports.html
if there is not already a new or fixed version of Apache.

Have fun!

Jan.P.Schmidt@mni.fh-giessen.de